Bug 88406 - Conditional formatting breaks when saving to .xls.
Summary: Conditional formatting breaks when saving to .xls.
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-14 15:52 UTC by mrelwood
Modified: 2015-09-04 03:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The file #1, to be edited to reveal the bug. (6.00 KB, application/vnd.ms-excel)
2015-01-14 15:52 UTC, mrelwood
Details
File #2: The formatting no longer works because $#REF!. appeared. (6.00 KB, application/vnd.ms-excel)
2015-01-14 15:54 UTC, mrelwood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mrelwood 2015-01-14 15:52:16 UTC
Created attachment 112225 [details]
The file #1, to be edited to reveal the bug.

Conditional formatting target field data gets skewed when saving and reopening an .xls Spreadsheet.

Steps to reproduce:

1. Create a new Spreadsheet. Create a conditional formatting rule that has a range and target of lines 10-15.

In my example (the first attachment) the rule is:
If cell value is equal to B10:B15, apply red font to range A10:A15. The cells have a running number in them, and half of the filled cells obey this rule.

2. Save the Spreadsheet as .xls, then close and reopen the Spreadsheet.

Reopening at this point has created a prefix with the sheet's title to the rule target, in my case "Sheet1". The target has now been changed from B10:B15 to:
Sheet1.B10:Sheet1.B15
If you open the first attachment, this is the state you will be in.

3. Insert an empty line above line 12.

Check the formatting rule, it has correctly extended the range to A10:A16 (and target to Sheet1.B10:Sheet1.B16).

4. Save, close and reopen the Spreadsheet.

The formatting no longer works. The condition has replaced the target from:
Sheet1.B10:Sheet1.B16
to:
$#REF!.B10:B16

Removing the $#REF!. fixes the issue, until the Spreadsheet is again reopened after inserting, copying or removing lines.



Note: Saving and reopening to .xlsx is also broken, the formatting condition just breaks differently.



Using LibreOffice 4.3.5.2, on a MacBook Pro mid 2010 running OSX 10.10.1.
Comment 1 mrelwood 2015-01-14 15:54:11 UTC
Created attachment 112226 [details]
File #2: The formatting no longer works because $#REF!. appeared.
Comment 2 Robinson Tryon (qubit) 2015-01-14 21:31:10 UTC
Comment on attachment 112225 [details]
The file #1, to be edited to reveal the bug.

Fix mimetype
Comment 3 Robinson Tryon (qubit) 2015-01-15 03:59:53 UTC
(In reply to mrelwood from comment #0)
> Created attachment 112225 [details]
> The file #1, to be edited to reveal the bug.
> 
> Conditional formatting target field data gets skewed when saving and
> reopening an .xls Spreadsheet.
> 
> Steps to reproduce:
> 
> 1. Create a new Spreadsheet. Create a conditional formatting rule that has a
> range and target of lines 10-15.
> 
> In my example (the first attachment) the rule is:
> If cell value is equal to B10:B15, apply red font to range A10:A15. The
> cells have a running number in them, and half of the filled cells obey this
> rule.
> 
> 2. Save the Spreadsheet as .xls, then close and reopen the Spreadsheet.
> 
> Reopening at this point has created a prefix with the sheet's title to the
> rule target, in my case "Sheet1". The target has now been changed from
> B10:B15 to:
> Sheet1.B10:Sheet1.B15
> If you open the first attachment, this is the state you will be in.
> 
> 3. Insert an empty line above line 12.
> 
> Check the formatting rule, it has correctly extended the range to A10:A16
> (and target to Sheet1.B10:Sheet1.B16).
> 
> 4. Save, close and reopen the Spreadsheet.
> 
> The formatting no longer works. The condition has replaced the target from:
> Sheet1.B10:Sheet1.B16
> to:
> $#REF!.B10:B16
> 
> Removing the $#REF!. fixes the issue, until the Spreadsheet is again
> reopened after inserting, copying or removing lines.

Please upload a version of this spreadsheet saved as ODS. My guess is that the ODS file will retain the formatting, but saving the ODS as XLS (or XLSX) will lose some formatting (as the warning in the Save/Save-As dialog states).

Status -> NEEDINFO

(Please change the status back to UNCONFIRMED after uploading the ODS file)
Comment 4 QA Administrators 2015-07-18 17:36:20 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 5 QA Administrators 2015-09-04 03:01:38 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03